| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Public Attributes | List of all members
_AR2HandleT Struct Reference

`#include <tracking.h>`

Collaboration diagram for _AR2HandleT:
[legend]

## Public Attributes
int | trackingMode
int | xsize
int | ysize
ARParamLT * | cparamLT
ICPHandleT * | icpHandle
AR_PIXEL_FORMAT | pixFormat
int | searchSize
int | templateSize1
int | templateSize2
int | searchFeatureNum
float | simThresh
float | trackingThresh
float | wtrans1 [AR2_TRACKING_SURFACE_MAX][3][4]
float | wtrans2 [AR2_TRACKING_SURFACE_MAX][3][4]
float | wtrans3 [AR2_TRACKING_SURFACE_MAX][3][4]
float | pos [AR2_SEARCH_FEATURE_MAX+AR2_THREAD_MAX][2]
float | pos2d [AR2_SEARCH_FEATURE_MAX][2]
float | pos3d [AR2_SEARCH_FEATURE_MAX][3]
AR2TemplateCandidateT | candidate [AR2_TRACKING_CANDIDATE_MAX+1]
AR2TemplateCandidateT | candidate2 [AR2_TRACKING_CANDIDATE_MAX+1]
AR2TemplateCandidateT | usedFeature [AR2_SEARCH_FEATURE_MAX]
int | threadNum
struct _AR2Tracking2DParamT | arg [AR2_THREAD_MAX]
THREAD_HANDLE_T * | threadHandle [AR2_THREAD_MAX]

## Member Data Documentation

## ◆ arg

struct _AR2Tracking2DParamT _AR2HandleT::arg[AR2_THREAD_MAX]

## ◆ candidate

AR2TemplateCandidateT _AR2HandleT::candidate[AR2_TRACKING_CANDIDATE_MAX+1]

## ◆ candidate2

AR2TemplateCandidateT _AR2HandleT::candidate2[AR2_TRACKING_CANDIDATE_MAX+1]

## ◆ cparamLT

ARParamLT* _AR2HandleT::cparamLT

## ◆ icpHandle

ICPHandleT* _AR2HandleT::icpHandle

## ◆ pixFormat

AR_PIXEL_FORMAT _AR2HandleT::pixFormat

## ◆ pos

float _AR2HandleT::pos[AR2_SEARCH_FEATURE_MAX+AR2_THREAD_MAX][2]

## ◆ pos2d

float _AR2HandleT::pos2d[AR2_SEARCH_FEATURE_MAX][2]

## ◆ pos3d

float _AR2HandleT::pos3d[AR2_SEARCH_FEATURE_MAX][3]

## ◆ searchFeatureNum

int _AR2HandleT::searchFeatureNum

## ◆ searchSize

int _AR2HandleT::searchSize

## ◆ simThresh

float _AR2HandleT::simThresh

## ◆ templateSize1

int _AR2HandleT::templateSize1

## ◆ templateSize2

int _AR2HandleT::templateSize2

## ◆ threadHandle

THREAD_HANDLE_T* _AR2HandleT::threadHandle[AR2_THREAD_MAX]

## ◆ threadNum

int _AR2HandleT::threadNum

## ◆ trackingMode

int _AR2HandleT::trackingMode

## ◆ trackingThresh

float _AR2HandleT::trackingThresh

## ◆ usedFeature

AR2TemplateCandidateT _AR2HandleT::usedFeature[AR2_SEARCH_FEATURE_MAX]

## ◆ wtrans1

float _AR2HandleT::wtrans1[AR2_TRACKING_SURFACE_MAX][3][4]

## ◆ wtrans2

float _AR2HandleT::wtrans2[AR2_TRACKING_SURFACE_MAX][3][4]

## ◆ wtrans3

float _AR2HandleT::wtrans3[AR2_TRACKING_SURFACE_MAX][3][4]

## ◆ xsize

int _AR2HandleT::xsize

## ◆ ysize

int _AR2HandleT::ysize

The documentation for this struct was generated from the following file:

- Source/ARX/AR2/include/ARX/AR2/tracking.h